package packageForL7L8;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics2D;
import java.awt.Rectangle;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Rectangle2D;

import javax.swing.JButton;
import javax.swing.JFrame;

import type.lang.*;

public class DrawVersion4 {

	public static void main(String[] args) {
		// Now we make use of the services of Ellipse2D, which
		// encapsulates all of the functionality that concerns a model of three
		// dots, each of which has a size and a location (as specified by a 2D coordinate system).
		// information.
		SimpleThreeDotModel model = new SimpleThreeDotModel();
		// Create the view.
		UniPanel panel = new UniPanel();

		int width = 400;
		int height = 400;
		JFrame frame = new JFrame("My Frame");
		frame.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		frame.setSize(width, height);
		frame.setMinimumSize(new Dimension(width, height));
		frame.add(panel);
		frame.pack();
		frame.setVisible(true);
		
		// here's where we do the drawing
		Graphics2D graphicsObject = panel.getGraphics2D();
		frame.setBackground(Color.WHITE);
		panel.setBackground(Color.WHITE);
		graphicsObject.setBackground(Color.WHITE);
		graphicsObject.setColor(model.getColour1());
		graphicsObject.draw(model.getDot1());
		graphicsObject.setColor(model.getColour2());
		graphicsObject.draw(model.getDot2());
		graphicsObject.setColor(model.getColour3());
		graphicsObject.draw(model.getDot3());

		frame.repaint();
	}
}
